#include        "__T6963C.h"

// T6963C module connections
char T6963C_dataPort at PORTD;                   // DATA port

sbit T6963C_ctrlwr  at LATB5_bit;                  // WR write signal
sbit T6963C_ctrlrd  at LATB4_bit;                  // RD read signal
sbit T6963C_ctrlcd  at LATB2_bit;                  // CD command/data signal
sbit T6963C_ctrlrst at LATB1_bit;                  // RST reset signal
sbit T6963C_ctrlwr_Direction  at TRISB5_bit;       // WR write signal
sbit T6963C_ctrlrd_Direction  at TRISB4_bit;       // RD read signal
sbit T6963C_ctrlcd_Direction  at TRISB2_bit;       // CD command/data signal
sbit T6963C_ctrlrst_Direction at TRISB1_bit;       // RST reset signal

// Signals not used by library, they are set in main function
sbit T6963C_ctrlce at LATB3_bit;                   // CE signal
sbit T6963C_ctrlfs at LATC4_bit;                   // FS signal
sbit T6963C_ctrlce_Direction  at TRISB3_bit;       // CE signal direction
sbit T6963C_ctrlfs_Direction  at TRISC4_bit;       // FS signal direction

// End T6963C module connections

// ------------------------------------------------------
// GLCD Picture name: test 240x128.bmp
// GLCD Model: T6963C 240x128
// ------------------------------------------------------

// ------------------------------------------------------
// GLCD Picture name: test 240x128.bmp
// GLCD Model: T6963C 240x128
// ------------------------------------------------------

const code char test240x128[5120] = {
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,  63,  48,   0,   0,   0,   0,   0,   0,   0,   0,   1,  63,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   3,  63,   0,   0,   0,   0,  63,  62,   0,   0,
  0,   7,  63,  62,   0,   0,   0,  31,  63,  63,   0,   0,  15,  63,  62,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  31,  48,   0,  31,  63,  56,   0,   0,   3,  63,  63,  48,   0,
  0,  15,  63,  63,  32,   0,   0,  31,  63,  63,   0,   0,  63,  63,  63,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  63,  48,   0,  63,  63,  62,   0,   0,  15,  63,  63,  60,   0,
  0,  63,  63,  63,  48,   0,   0,  63,  63,  63,   0,   1,  63,  63,  63,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   1,  63,  48,   3,  63,  63,  63,   0,   0,  31,  63,  63,  62,   0,
  0,  63,  63,  63,  56,   0,   0,  63,  63,  63,   0,   3,  63,  63,  63,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   3,  63,  48,   3,  63,  63,  63,  32,   0,  63,  63,  63,  62,   0,
  1,  63,  63,  63,  60,   0,   0,  63,  63,  63,   0,   7,  63,  63,  63,  60,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  15,  63,  48,   7,  63,  63,  63,  48,   1,  63,  63,  63,  63,   0,
  3,  63,  63,  63,  60,   0,   1,  63,  63,  63,   0,   7,  63,  63,  63,  60,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  31,  63,  48,  15,  63,  63,  63,  48,   3,  63,  63,  63,  63,  32,
  3,  63,  35,  63,  62,   0,   1,  63,  63,  63,   0,  15,  63,  57,  63,  62,   0,   0,   0,   0,   0,   0,   0,   0,   0,   1,  63,  63,  48,  15,  62,  15,  63,  56,   3,  63,  62,  63,  63,  32,
  3,  63,  33,  63,  62,   0,   1,  63,  63,  63,   0,  15,  63,  49,  63,  62,   0,   0,   0,   0,   0,   0,   0,   0,   0,  15,  63,  63,  48,  15,  62,   7,  63,  56,   3,  63,  60,  31,  63,  32,
  7,  63,   1,  63,  62,   0,   1,  63,  63,  63,   0,  15,  63,  49,  63,  62,   0,   0,   0,   0,   0,   0,   0,   0,   1,  63,  63,  63,  48,  31,  60,   7,  63,  56,   7,  63,  60,  31,  63,  48,
  7,  63,   1,  63,  63,   0,   3,  63,  63,  63,   0,  15,  63,  49,  63,  63,   0,   0,   0,   0,   0,   0,   0,   0,   1,  63,  63,  63,  48,  31,  60,   7,  63,  60,   7,  63,  60,  31,  63,  48,
  7,  63,   1,  63,  63,   0,   3,  63,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,  15,  63,  32,  63,  62,   0,   1,  63,  63,  63,  48,  31,  60,   7,  63,  60,   7,  63,  60,  31,  63,  48,
  7,  63,   1,  63,  63,   0,   3,  63,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,  15,  63,  32,  63,  62,   0,   1,  63,  63,  63,  48,  31,  60,   7,  63,  60,   7,  63,  60,  31,  63,  48,
  7,  63,   1,  63,  63,   0,   7,  63,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   7,  63,  32,  63,  60,   0,   1,  63,  63,  63,  48,  31,  60,   7,  63,  60,   7,  63,  60,  31,  63,  48,
  7,  63,   1,  63,  63,   0,   7,  61,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   7,  63,  32,  63,  60,   0,   1,  63,  63,  63,  48,  31,  60,   7,  63,  60,   7,  63,  60,  31,  63,  48,
  7,  63,   1,  63,  63,   0,   7,  61,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   7,  63,  49,  63,  60,   0,   0,   1,  63,  63,  48,  31,  60,   7,  63,  60,   7,  63,  60,  31,  63,  48,
  7,  63,   3,  63,  63,   0,  15,  61,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   3,  63,  49,  63,  56,   0,   0,   0,  63,  63,  48,  31,  60,  15,  63,  60,   7,  63,  60,  31,  63,  48,
  7,  63,   3,  63,  63,   0,  15,  61,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   3,  63,  49,  63,  56,   0,   0,   0,  31,  63,  48,  31,  60,  15,  63,  60,   7,  63,  60,  31,  63,  48,
  0,   0,   3,  63,  63,   0,  15,  57,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   3,  63,  49,  63,  56,   0,   0,   0,  31,  63,  48,   0,   0,  15,  63,  60,   7,  63,  60,  31,  63,  48,
  0,   0,   7,  63,  62,   0,  31,  57,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   1,  63,  49,  63,  48,   0,   0,   0,  31,  63,  48,   0,   0,  31,  63,  56,   3,  63,  60,  31,  63,  32,
  0,   0,   7,  63,  62,   0,  31,  57,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   1,  63,  49,  63,  48,   0,   0,   0,  31,  63,  48,   0,   0,  31,  63,  56,   3,  63,  60,  31,  63,  32,
  0,   0,  15,  63,  62,   0,  31,  57,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   1,  63,  59,  63,  48,   0,   0,   0,  31,  63,  48,   0,   0,  63,  63,  56,   1,  63,  62,  63,  63,   0,
  0,   0,  15,  63,  62,   0,  31,  49,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   0,  63,  59,  63,  32,   0,   0,   0,  31,  63,  48,   0,   0,  63,  63,  56,   1,  63,  63,  63,  62,   0,
  0,   0,  15,  63,  60,   0,  63,  49,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   0,  63,  59,  63,  32,   0,   0,   0,  31,  63,  48,   0,   0,  63,  63,  48,   0,  63,  63,  63,  60,   0,
  0,   0,  31,  63,  60,   0,  63,  49,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   0,  63,  59,  63,  32,   0,   0,   0,  31,  63,  48,   0,   1,  63,  63,  48,   0,  15,  63,  63,  48,   0,
  0,   0,  31,  63,  56,   0,  63,  49,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   0,  63,  59,  63,  32,   0,   0,   0,  31,  63,  48,   0,   1,  63,  63,  32,   0,  63,  63,  63,  60,   0,
  0,   0,  63,  63,  56,   1,  63,  33,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   0,  31,  63,  63,   0,   0,   0,   0,  31,  63,  48,   0,   3,  63,  63,  32,   1,  63,  63,  63,  62,   0,
  0,   0,  63,  63,  56,   1,  63,  33,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   0,  31,  63,  63,   0,   0,   0,   0,  31,  63,  48,   0,   3,  63,  63,  32,   1,  63,  63,  63,  63,   0,
  0,   1,  63,  63,  48,   1,  63,  33,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   0,  31,  63,  63,   0,   0,   0,   0,  31,  63,  48,   0,   7,  63,  63,   0,   3,  63,  63,  63,  63,  32,
  0,   1,  63,  63,  48,   3,  63,  33,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   0,  15,  63,  62,   0,   0,   0,   0,  31,  63,  48,   0,   7,  63,  63,   0,   3,  63,  62,  63,  63,  32,
  0,   3,  63,  63,  32,   3,  63,   1,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   0,  15,  63,  62,   0,   0,   0,   0,  31,  63,  48,   0,  15,  63,  62,   0,   3,  63,  60,  31,  63,  32,
  0,   3,  63,  63,  32,   3,  63,   1,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   0,  15,  63,  62,   0,   0,   0,   0,  31,  63,  48,   0,  15,  63,  62,   0,   7,  63,  60,  31,  63,  48,
  0,   3,  63,  63,   0,   7,  63,   1,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   0,  31,  63,  63,   0,   0,   0,   0,  31,  63,  48,   0,  15,  63,  60,   0,   7,  63,  60,  31,  63,  48,
  0,   7,  63,  63,   0,   7,  62,   1,  63,  63,   0,  31,  63,  49,  63,  63,   0,   0,   0,  31,  63,  63,   0,   0,   0,   0,  31,  63,  48,   0,  31,  63,  60,   0,   7,  63,  60,  31,  63,  48,
  0,   7,  63,  62,   0,   7,  63,  63,  63,  63,  60,  31,  63,  49,  63,  63,   0,   0,   0,  31,  63,  63,   0,   0,   0,   0,  31,  63,  48,   0,  31,  63,  56,   0,   7,  63,  60,  31,  63,  48,
  0,  15,  63,  62,   0,   7,  63,  63,  63,  63,  60,  31,  63,  49,  63,  63,   0,   0,   0,  31,  63,  63,   0,   0,   0,   0,  31,  63,  48,   0,  63,  63,  56,   0,   7,  63,  60,  31,  63,  48,
  0,  15,  63,  60,   0,   7,  63,  63,  63,  63,  60,  31,  63,  49,  63,  63,   0,   0,   0,  63,  63,  63,  32,   0,   0,   0,  31,  63,  48,   0,  63,  63,  48,   0,   7,  63,  60,  31,  63,  48,
  0,  31,  63,  60,   0,   7,  63,  63,  63,  63,  60,  31,  63,  49,  63,  63,   0,   0,   0,  63,  59,  63,  32,   0,   0,   0,  31,  63,  48,   1,  63,  63,  48,   0,   7,  63,  60,  31,  63,  48,
  0,  31,  63,  56,   0,   7,  63,  63,  63,  63,  60,  31,  63,  49,  63,  63,   0,   0,   0,  63,  59,  63,  32,   0,   0,   0,  31,  63,  48,   1,  63,  63,  32,   0,   7,  63,  60,  31,  63,  48,
  0,  63,  63,  56,   0,   7,  63,  63,  63,  63,  60,  31,  63,  49,  63,  63,   0,   0,   0,  63,  59,  63,  32,   0,   0,   0,  31,  63,  48,   3,  63,  63,  32,   0,   7,  63,  60,  31,  63,  48,
  0,  63,  63,  48,   0,   7,  63,  63,  63,  63,  60,  31,  63,  49,  63,  63,   0,   0,   1,  63,  59,  63,  48,   0,   0,   0,  31,  63,  48,   3,  63,  63,   0,   0,   7,  63,  60,  31,  63,  48,
  1,  63,  63,  48,   0,   7,  63,  63,  63,  63,  60,  31,  63,  49,  63,  63,   0,   0,   1,  63,  59,  63,  48,   0,   0,   0,  31,  63,  48,   7,  63,  63,   0,   0,   7,  63,  60,  31,  63,  48,
  1,  63,  63,  32,   0,   7,  63,  63,  63,  63,  60,  31,  63,  49,  63,  63,   0,   0,   1,  63,  51,  63,  48,   0,   0,   0,  31,  63,  48,   7,  63,  62,   0,   0,   7,  63,  60,  31,  63,  48,
  3,  63,  63,   0,   0,   0,   0,   1,  63,  63,   0,  15,  63,  49,  63,  62,   0,   0,   3,  63,  49,  63,  56,   0,   0,   0,  31,  63,  48,  15,  63,  60,   0,   0,   7,  63,  60,  31,  63,  48,
  3,  63,  63,   0,   0,   0,   0,   1,  63,  63,   0,  15,  63,  49,  63,  62,   0,   0,   3,  63,  49,  63,  56,   0,   0,   0,  31,  63,  48,  15,  63,  60,   0,   0,   3,  63,  60,  31,  63,  32,
  7,  63,  63,  63,  62,   0,   0,   1,  63,  63,   0,  15,  63,  51,  63,  62,   0,   0,   3,  63,  49,  63,  56,   0,   0,   0,  31,  63,  48,  31,  63,  63,  63,  56,   3,  63,  62,  31,  63,  32,
  7,  63,  63,  63,  62,   0,   0,   1,  63,  63,   0,   7,  63,  63,  63,  60,   0,   0,   3,  63,  49,  63,  56,   0,   0,   0,  31,  63,  48,  31,  63,  63,  63,  56,   3,  63,  63,  63,  63,  32,
  7,  63,  63,  63,  62,   0,   0,   1,  63,  63,   0,   7,  63,  63,  63,  60,   0,   0,   7,  63,  49,  63,  60,   0,   0,   0,  31,  63,  48,  31,  63,  63,  63,  56,   1,  63,  63,  63,  63,   0,
  7,  63,  63,  63,  62,   0,   0,   1,  63,  63,   0,   3,  63,  63,  63,  56,   0,   0,   7,  63,  32,  63,  60,   0,   0,   0,  31,  63,  48,  31,  63,  63,  63,  56,   1,  63,  63,  63,  63,   0,
  7,  63,  63,  63,  62,   0,   0,   1,  63,  63,   0,   1,  63,  63,  63,  48,   0,   0,   7,  63,  32,  63,  60,   0,   0,   0,  31,  63,  48,  31,  63,  63,  63,  56,   0,  63,  63,  63,  62,   0,
  7,  63,  63,  63,  62,   0,   0,   1,  63,  63,   0,   0,  63,  63,  63,  32,   0,   0,  15,  63,  32,  63,  62,   0,   0,   0,  31,  63,  48,  31,  63,  63,  63,  56,   0,  15,  63,  63,  60,   0,
  7,  63,  63,  63,  62,   0,   0,   1,  63,  63,   0,   0,  15,  63,  62,   0,   0,   0,  15,  63,  32,  63,  62,   0,   0,   0,  31,  63,  48,  31,  63,  63,  63,  56,   0,   7,  63,  63,  48,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   1,  63,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  63,  62,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0
};













void main() 
{
  PortA = 0;
  PortB = 0;
  PortC = 0;
  PortD = 0;
  


  T6963C_ctrlce_Direction = 0;
  T6963C_ctrlce = 0;            // Enable T6963C
  T6963C_ctrlfs_Direction = 0;
  T6963C_ctrlfs = 0;            // Font Select 8x8
  delay_ms(100);
  // Initialize T6963C
  T6963C_init(240, 128, 8);
  delay_ms(10);
  T6963C_graphics(1);
  T6963C_text(1);
  delay_ms(10);
  T6963C_image(test240x128);
  T6963C_write_text("1234567890ABCDEFGHIJKLMNOPQRSTUVWXYZ", 0, 0, T6963C_ROM_MODE_XOR);





  while(1)
  {
  }
}